// Copyright (c) 2023 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#include "SimpleTexturedShaderInterface.hpp"

using namespace Dawn;

SimpleTexturedShaderInterface::SimpleTexturedShaderInterface(SceneItem *i) :
  ShaderInterface<SimpleTexturedShader>(i)
{
}


void SimpleTexturedShaderInterface::setTexture(Texture *texture) {
  this->getMaterial()->textureValues[this->getShader()->paramTexture] = texture;
}

void SimpleTexturedShaderInterface::setColor(struct Color color) {
  this->getMaterial()->colorValues[this->getShader()->paramColor] = color;
}